Subject: Re: bug#48136: 28.0.50; [feature/pgtk] ISO_Level5_Shift broken

From: "Elia Nolz" <[email-masked]>
Date: Wed, 09 Jun 2021 11:21:45 +0200

On Fri, May 21, 2021, at 11:56, Yuuki Harano wrote:
> Does "these changes" mean this?
> 
> >    (pgtk-use-im-context nil)

No, I was referring to the new default behaviour of the hyper key and how it changes how Emacs handles ISO_Level5_Shift:

(put 'none 'modifier-value 0)
(setq x-hyper-keysym 'none)

> Previously nil is the default.
> But some people couldn't input correctly, so I reverted it to t,
> also because I thought t was what the gtk app should be.
> See:
> https://github.com/masm11/emacs/issues/43

Regarding the behaviour with input methods, I honestly think that this is a bug that should be fixed since it straight up makes working Emacs setups impossible by disabling fcitx support (I have so far been unable to get ddskk working on NixOS).